org.apache.cassandra.cql3

## Class UpdateParameters

- java.lang.Object
- - org.apache.cassandra.cql3.UpdateParameters

    public class UpdateParameters
    extends java.lang.Object

Groups the parameters of an update query, and make building updates easier.

### Field Summary

Fields
`CFMetaData` `metadata`
`QueryOptions` `options`
`PartitionColumns` `updatedColumns`

### Constructor Summary

Constructors
Constructor and Description
`UpdateParameters(CFMetaData metadata, PartitionColumns updatedColumns, QueryOptions options, long timestamp, int ttl, java.util.Map<DecoratedKey,Partition> prefetchedRows)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addCell(ColumnDefinition column, java.nio.ByteBuffer value)`
`void` `addCell(ColumnDefinition column, CellPath path, java.nio.ByteBuffer value)`
`void` `addCounter(ColumnDefinition column, long increment)`
`void` `addCounter(ColumnDefinition column, long increment, CellPath path)`
`void` `addPrimaryKeyLivenessInfo()`
`void` `addRowDeletion()`
`void` `addTombstone(ColumnDefinition column)`
`void` `addTombstone(ColumnDefinition column, CellPath path)`
`Row` `buildRow()`
`Clustering` `currentClustering()`
`DeletionTime` `deletionTime()`
`Row` `getPrefetchedRow(DecoratedKey key, Clustering clustering)` Returns the prefetched row with the already performed modifications.
`RangeTombstone` `makeRangeTombstone(ClusteringComparator comparator, Clustering clustering)`
`RangeTombstone` `makeRangeTombstone(Slice slice)`
`void` `newRow(Clustering clustering)`
`void` `setComplexDeletionTime(ColumnDefinition column)`
`void` `setComplexDeletionTimeForOverwrite(ColumnDefinition column)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### metadata

    public final CFMetaData metadata

#### updatedColumns

    public final PartitionColumns updatedColumns

#### options

    public final QueryOptions options

### Constructor Detail

#### UpdateParameters

    public UpdateParameters(CFMetaData metadata,
                            PartitionColumns updatedColumns,
                            QueryOptions options,
                            long timestamp,
                            int ttl,
                            java.util.Map<DecoratedKey,Partition> prefetchedRows)
                     throws InvalidRequestException

Throws:
  `InvalidRequestException`

### Method Detail

#### newRow

    public void newRow(Clustering clustering)
                throws InvalidRequestException

Throws:
  `InvalidRequestException`

#### currentClustering

    public Clustering currentClustering()

#### addPrimaryKeyLivenessInfo

    public void addPrimaryKeyLivenessInfo()

#### addRowDeletion

    public void addRowDeletion()

#### addTombstone

    public void addTombstone(ColumnDefinition column)
                      throws InvalidRequestException

Throws:
  `InvalidRequestException`

#### addTombstone

    public void addTombstone(ColumnDefinition column,
                             CellPath path)
                      throws InvalidRequestException

Throws:
  `InvalidRequestException`

#### addCell

    public void addCell(ColumnDefinition column,
                        java.nio.ByteBuffer value)
                 throws InvalidRequestException

Throws:
  `InvalidRequestException`

#### addCell

    public void addCell(ColumnDefinition column,
                        CellPath path,
                        java.nio.ByteBuffer value)
                 throws InvalidRequestException

Throws:
  `InvalidRequestException`

#### addCounter

    public void addCounter(ColumnDefinition column,
                           long increment)
                    throws InvalidRequestException

Throws:
  `InvalidRequestException`

#### addCounter

    public void addCounter(ColumnDefinition column,
                           long increment,
                           CellPath path)
                    throws InvalidRequestException

Throws:
  `InvalidRequestException`

#### setComplexDeletionTime

    public void setComplexDeletionTime(ColumnDefinition column)

#### setComplexDeletionTimeForOverwrite

    public void setComplexDeletionTimeForOverwrite(ColumnDefinition column)

#### buildRow

    public Row buildRow()

#### deletionTime

    public DeletionTime deletionTime()

#### makeRangeTombstone

    public RangeTombstone makeRangeTombstone(ClusteringComparator comparator,
                                             Clustering clustering)

#### makeRangeTombstone

    public RangeTombstone makeRangeTombstone(Slice slice)

#### getPrefetchedRow

    public Row getPrefetchedRow(DecoratedKey key,
                                Clustering clustering)

Returns the prefetched row with the already performed modifications.

If no modification have yet been performed this method will return the fetched row or `null` if the row does not exist. If some modifications (updates or deletions) have already been done the row returned will be the result of the merge of the fetched row and of the pending mutations.

Parameters:
  `key` - the partition key
  `clustering` - the row clustering
Returns:
  the prefetched row with the already performed modifications